Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Rene_Keilwerth
Beginner
133 Views

Xcode 5.1 update broke Composer Compatibility (v14.0.1)

Hi,

today, Xcode got an automatic update to 5.1. and as i expected it broke the compatibility again.
Is there a way to get it working again or do i have go back to XCode5.0?

The compiler is listed in the projects as unsupported compiler.

cheerrs,

Rene

0 Kudos
8 Replies
Denis_B_Intel1
Employee
133 Views

Hi Rene,

Xcode 5.1 just released, we are working on the Xcode 5.1 support. Meanwhile you can try to do the following to make the new Xcode recognize the 14.0 compiler:

    $ sudo mkdir /Library/Application\ Support/Developer/5.1/Xcode/Plug-ins
    $ sudo cp -r /Library/Application\ Support/Developer/5.0/Xcode/Plug-ins/ICC\ 14.0\ Compiler.xcplugin /Library/Application\ Support/Developer/5.1/Xcode/Plug-ins

    and restart Xcode (Quit,Open).

Thanks,
Denis

 

Rene_Keilwerth
Beginner
133 Views

worked for me. :)

Thanks, Rene

chinhster
Beginner
133 Views

I'd use a symlink instead of copying.

Duncan_Brown
Beginner
133 Views

Hmmmm.  I planned to buy a new Mac Pro running Mavericks to replace my old Mac Pro still running Snow Leopard and C++ Composer XE 2011.  I made sure the latest version of intel C++ compiler supported Mavericks.  The Mac Pro finally came in.  I bought the new license for C++ Composer XE 2013.  I installed XCode.  I installed C++ compiler.  Doesn't show up.  I end up here and find between the time I ordered the Mac Pro a couple of months ago and now XCOde 5.1 has come out and C++ compiler doesn't support it!  I have no XCode 5.0 directory to copy files from.  Now what?  Keep using my old Mac Pro for now I guess :-(

 

Duncan

JenniferJ
Moderator
133 Views

Doesn't show up.  I end up here and find between the time I ordered the Mac Pro a couple of months ago and now XCOde 5.1 has come out and C++ compiler doesn't support it!  I have no XCode 5.0 directory to copy files from.  Now what?

Please file a ticket to Intel Premier Support with your issue. The support engineer will help you with other temporary solution.

Sorry for this inconvenience, the XCode 5.1 just released several weeks ago.

Thanks,

Jennifer

Duncan_Brown
Beginner
133 Views

OK thanks!  Though I figured out that as a registered Developer I can download older version of XCode, so I'm going to see if I can force my way back to 5.0.2 first!

 

Thanks,

Duncan

Duncan_Brown
Beginner
133 Views

Woohoo!  That did the trick.  Told it to install the older version to replace the 5.1, and then installed the compiler again, and now it's there.

 

...and you better believe I have Auto Updates turned off ;-)

 

Thanks,

Duncan

JenniferJ
Moderator
133 Views

Great! I'm glad it's working now.

Make sure to check the next 14.0 update. You should get an email notification from Intel Premier Support when the update is available.

Jennifer

Reply